package com.lsf.support;

import java.util.HashMap;


/**
 * Data  ս   ֵ ش.
 * ǥ  HttpServletRequest  ͸  ִ
 * request name value  Key Value Ͽ ȿ  ϰ ,
 *  Value Object  Ͽ   ϰ   ֵ  Ŭ̴.
 * @author õȣ
 */
public class Data extends HashMap {
	private boolean init = false;

	private String name;

	public Data() {
		super();
	}

	public Data(String name) {
		super();
		this.name = name;
	}

	public String getString(String key) {
		if (this.get(key) == null)
			if (!init)
				return null;
			else
				return "";
		return this.get(key).toString();
	}

	public byte getByte(String key) {
		byte result = 0;
		String str = getString(key);
		if (init && "".equals(str)) return 0;
		result = Byte.parseByte(str);
		return result;
	}

	public int getInt(String key) {
		int result = 0;
		String str = getString(key);
		if (init && "".equals(str)) return 0;
		result = Integer.parseInt(str);
		return result;
	}

	public long getLong(String key) {
		long result = 0;
		String str = getString(key);
		if (init && "".equals(str)) return 0;
		result = Long.parseLong(str);
		return result;
	}

	public float getFloat(String key) {
		float result = 0;
		String str = getString(key);
		if (init && "".equals(str)) return 0;
		result = Float.parseFloat(str);
		return result;
	}

	public double getDouble(String key) {
		double result = 0;
		String str = getString(key);
		if (init && "".equals(str)) return 0;
		result = Double.parseDouble(str);
		return result;
	}

	public short getShort(String key) {
		short result = 0;
		String str = getString(key);
		if (init && "".equals(str)) return 0;
		result = Short.parseShort(str);
		return result;
	}

	public String[] getStringArray(String key) {
		if (this.get(key) == null)
			if (init)
				return new String[0];
		String[] result = (String[]) this.get(key);
		return result;
	}

	public void setByte(String key, byte b) {
		this.put(key, new Byte(b));
	}

	public void setInt(String key, int i) {
		this.put(key, new Integer(i));
	}

	public void setLong(String key, long i) {
		this.put(key, new Long(i));
	}

	public void setFloat(String key, float i) {
		this.put(key, new Float(i));
	}

	public void setDouble(String key, double i) {
		this.put(key, new Double(i));
	}

	public void setShort(String key, short i) {
		this.put(key, new Short(i));
	}

	public void setString(String key, String s) {
		this.put(key, s);
	}

	public void setStringArray(String key, String[] strs) {
		this.put(key, strs);
	}

	public String[] getKeys() {
		Object[] objs = this.keySet().toArray();
		String[] keys = new String[objs.length];

		for (int i = 0; i < objs.length; i++) {
			keys[i] = objs[i].toString();
		}

		return keys;
	}

	public void setNullToInitialize(boolean b) {
		this.init = b;
	}

	public String getObjectType(String key) {
		String result = "";
		Object o = this.get(key);
		result = o.getClass().getName();
		return result;
	}

	public String toString() {
		return "[Data : ("+this.name+")]="+super.toString();
	}

}
