package com.lsf.support;

import java.util.Enumeration;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

public class SessionData extends Data {
	HttpSession session;

	public SessionData(HttpServletRequest req) {
		session = req.getSession();
		getData();
	}

	public SessionData(HttpSession session) {
		this.session = session;
		getData();
	}

	public Object getAttribute(String key) {
		return session.getAttribute(key);
	}

	private void getData() {
		Enumeration e = session.getAttributeNames();

		while (e.hasMoreElements()) {
			String key = (String)e.nextElement();
			this.put(key, session.getAttribute(key));
		}
	}

}
