var reqs = new Array();

var jsDelim = "^!|";
var jsLineDelim = "^!^|";

function XMLReq(d,u,c) {
	this.id = d;
	this.url = u;
	this.callback = c;
	this.status = '';
}

XMLReq.prototype.status;

XMLReq.prototype.loadXMLDoc = function() {
	var pos = 0;
	
	for (var i=0; i<reqs.length; i++) {
		if (reqs[i].id == this.id)
			pos = i;
	}

	if (pos == 0) pos = reqs.length;
	reqs[pos] = null;

    // branch for native XMLHttpRequest object
	if (window.ActiveXObject) {
        this.isIE = true;
        this.req = new ActiveXObject("Microsoft.XMLHTTP");
	    this.status = 'START';
        reqs[pos] = this;
        
        if (this.req) {
            this.req.onreadystatechange = processReqChange;
            this.req.open("GET", this.url, true);
            this.req.send();
        }
    }
    else if (window.XMLHttpRequest) {
        this.req = new XMLHttpRequest();
        reqs[pos] = this;
	    this.status = 'START';
        this.req.onreadystatechange = processReqChange;
        this.req.open("GET", this.url, true);
        this.req.send(null);
    // branch for IE/Windows ActiveX version
    } 
}

XMLReq.prototype.loadXMLDocPOST = function(param) {
	var pos = 0;
	
	for (var i=0; i<reqs.length; i++) {
		if (reqs[i].id == this.id)
			pos = i;
	}

	if (pos == 0) pos = reqs.length;
	reqs[pos] = null;

    // branch for native XMLHttpRequest object
	if (window.ActiveXObject) {
        this.isIE = true;
        this.req = new ActiveXObject("Microsoft.XMLHTTP");
	    this.status = 'START';
        reqs[pos] = this;
        
        if (this.req) {
            this.req.onreadystatechange = processReqChange;
            this.req.open("POST", this.url, false);
						this.req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		    		this.req.send(param);
        }
    }
    else if (window.XMLHttpRequest) {
        this.req = new XMLHttpRequest();
        reqs[pos] = this;
	    this.status = 'START';
        this.req.onreadystatechange = processReqChange;
        this.req.open("POST", this.url, false);
				this.req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    		this.req.send(param);
    // branch for IE/Windows ActiveX version
    } 
}

XMLReq.prototype.loadSyncXMLDoc = function() {
	var pos = 0;
	
	for (var i=0; i<reqs.length; i++) {
		if (reqs[i].id == this.id)
			pos = i;
	}

	if (pos == 0) pos = reqs.length;
	reqs[pos] = null;

	if (window.ActiveXObject) {
        this.isIE = true;
        this.req = new ActiveXObject("Microsoft.XMLHTTP");
	    this.status = 'START';
        reqs[pos] = this;
        
        if (this.req) {
			//this.req.onreadystatechange = this.processReqChange;
            this.req.open("GET", this.url, false);
            this.req.send();
        }
    }
    // branch for native XMLHttpRequest object
    else if (window.XMLHttpRequest) {
        this.req = new XMLHttpRequest();
        reqs[pos] = this;
		//this.req.onreadystatechange = this.processReqChange;
        this.req.open("GET", this.url, false);
        this.req.send(null);
    // branch for IE/Windows ActiveX version
    } 
}

XMLReq.prototype.saveXMLDoc = function(data) {
	var pos = 0;
	
	for (var i=0; i<reqs.length; i++) {
		if (reqs[i].id == this.id)
			pos = i;
	}

	if (pos == 0) pos = reqs.length;
	reqs[pos] = null;

	if (window.ActiveXObject) {
        this.isIE = true;
        this.req = new ActiveXObject("Microsoft.XMLHTTP");
	    	this.status = 'START';
        reqs[pos] = this;
        
        if (this.req) {
            this.req.onreadystatechange = processReqChange;
            this.req.open("POST", this.url, false);
						this.req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		    		this.req.send(data);
        }
    }
    // branch for native XMLHttpRequest object
    else if (window.XMLHttpRequest) {
        this.req = new XMLHttpRequest();
        reqs[pos] = this;
        this.req.onreadystatechange = processReqChange;
	    	this.status = 'START';
        this.req.open("POST", this.url, false);
				this.req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	    	this.req.send(data);
    // branch for IE/Windows ActiveX version
    } 
}

processReqChange = function() {
	for (var i=0; i<reqs.length; i++) {
		if (reqs[i].status == 'START') {
		    // only if req shows "loaded"
		    if (reqs[i].req.readyState == 4) {
		        // only if "OK"
		        if (reqs[i].req.status == 200) {
	        		reqs[i].status = 'COMPLETE';
			        if (reqs[i].callback) {
			        	eval(reqs[i].callback);
					}
		        } else {
	         		reqs[i].status = 'ERROR';
	            	alert("There was a problem retrieving the XML data:\n" + reqs[i].req.statusText);
		        }
		    }
	    }
    }
}


// invoked by "Category" select element change;
// loads chosen XML document, clears Topics select
// element, loads new items into Topics select element
function cfXmlLoadData(id, url, callback) {
	var xmlReq = new XMLReq(id, url, callback);

	xmlReq.loadXMLDoc();
}
function cfXmlLoadDataPOST(id, url, param, callback) {
	var xmlReq = new XMLReq(id, url, callback);

	xmlReq.loadXMLDocPOST(param);
}

function cfXmlLoadSyncData(id, url) {
	var xmlReq = new XMLReq(id, url);

	xmlReq.loadSyncXMLDoc();
}

function cfXmlSaveData(id, url, data, callback) {
	var xmlReq = new XMLReq(id, url, callback);

	xmlReq.saveXMLDoc(data);
}

// retrieve text of an XML document element, including
// elements using namespaces
function cfXmlGetElementTextNS(prefix, local, parentElem, index) {
    var result = "";
    var x = "";
    
    if (prefix && isIE) {
        // IE/Windows way of handling namespaces
        result = parentElem.getElementsByTagName(prefix + ":" + local)[index];
    } else {
        // the namespace versions of this method
        // (getElementsByTagNameNS()) operate
        // differently in Safari and Mozilla, but both
        // return value with just local name, provided
        // there aren't conflicts with non-namespace element
        // names
        result = parentElem.getElementsByTagName(local)[index];
    }

    if (result) {
        // get text, accounting for possible
        // whitespace (carriage return) text nodes
        if (result.childNodes.length > 1) {
            return result.childNodes[1].nodeValue;
        } else {
        	try {
	            x = result.firstChild.nodeValue;
	        }
            catch (e) {
            	x = "";
            }
            return x;
        }
    } else {
        return "";
    }
}

function cfXmlGetItems(id, header) {
	var result;
	
	for (i=0; i<reqs.length; i++) {
		var headerArray = header.split(',');
		if (reqs[i].id == id) {
			result = cfXmlBuildList(reqs[i].req, headerArray);

		}
	}
	
	return result;
}

function cfXmlGetItem(id, row, header) {
	var req;
	
	for (i=0; i<reqs.length; i++) {
		var headerArray = header.split(',');
		if (reqs[i].id == id) {
			req = reqs[i].req;
		}
	}

    var items = req.responseXML.getElementsByTagName("item");
	result = cfXmlGetElementTextNS("", header, items[row], 0);

    return result;
}

function cfXmlGetText(id) {
	var req;
	for (i=0; i<reqs.length; i++) {
		if (reqs[i].id == id) {
			req = reqs[i].req;
		}
	}
    var result = req.responseText;
    return result;
}

function cfXmlGetResponseState(id) {
	var req;
	
	for (i=0; i<reqs.length; i++) {
		if (reqs[i].id == id) {
			req = reqs[i].req;
		}
	}

    var result = req.status;
    
    return result;
}

function cfXmlGetItemsToString(id, header) {
	var result;
	
	for (i=0; i<reqs.length; i++) {
		var headerArray = header.split(',');
		if (reqs[i].id == id) {
			result = cfXmlBuildListString(reqs[i].req, headerArray);
		}
	}
	
	return result;
}

function cfXmlGetItemCount(id) {
	var result;
	var items;
	
	for (i=0; i<reqs.length; i++) {
		if (reqs[i].id == id) {
			items = reqs[i].req.responseXML.getElementsByTagName("item");
		}
	}
	
	return items.length;
}

// fill Topics select list with items from
// the current XML document
function cfXmlBuildList(req, header) {
    var items = req.responseXML.getElementsByTagName("item");
    var result = new Array(items.length);
    // loop through <item> elements, and add each nested
    // <title> element to Topics select element
    for (var i = 0; i < items.length; i++) {
    	result[i] = new Array(header.length);
    	
    	for (var j=0; j<header.length; j++) {
        	result[i][j] = (cfXmlGetElementTextNS("", header[j], items[i], 0));
        }
    }

    return result;
}

// fill Topics select list with items from
// the current XML document
function cfXmlBuildListString(req, header) {
    var items = req.responseXML.getElementsByTagName("item");
    var result = '';
    // loop through <item> elements, and add each nested
    // <title> element to Topics select element
    for (var i = 0; i < items.length; i++) {
    	for (var j=0; j<header.length; j++) {
        	result += (cfXmlGetElementTextNS("", header[j], items[i], 0)) + jsDelim;
        }
    }
    
    return result;
}

function cfXmlAddRequestData(data, paramName, value) {
	var result = data;
	result += paramName;
	result += "=";
	result += encodeURI(value);
	result += "&";
	
	return result;
}

function cfXmlCreateNewResult(rootName){
    if (!rootName) rootName = "<data/>";
    else rootName = "<"+rootName+"/>";
    
    var xmlDoc = new ActiveXObject("Msxml2.DOMDocument");
    xmlDoc.async = false;
    xmlDoc.loadXML(rootName);
    
    return xmlDoc;
}

function cfXmlCreateItem(domObject, itemName) {
	if (!itemName) itemName = "item";
    var root = domObject.documentElement;
    itemSection = domObject.createElement(itemName);
    var item = root.appendChild(itemSection);
    
    return item;
}

function cfXmlAddData(domObject, item, fieldName, fieldValue){
    var root = domObject.documentElement;
    e = domObject.createElement(fieldName);
    txt = domObject.createCDATASection(fieldValue);
    e.appendChild(txt);
    item.appendChild(e);
}

function cfXmlGetXML(domObject) {
	return domObject.xml;
}

